<?php 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */

/**
 * Définition d’une classe abstraite.
 */
abstract class classeMere
{ 
	// attribut protégé (utilisable uniquement par les classes filles)
	protected $sValeur; 

	// deux méthodes pour accéder à l’attribut protégé 
	
	/**
	 * Renvoie la valeur
	 * @return [type] [description]
	 */
	public function getValue()
	{ 
	  return $this->sValeur; 
	} 


	//   - pour écrire, méthode abstraite 
	abstract public function setValue($valeur); 
} 


// Définition d’une classe fille qui hérite de la classe mère. 
class classeFille extends classeMere
{ 
	/**
	 * Implémentation de la méthode d'’'écriture.
	 * @param [type] $valeur [description]
	 */
	public function setValue($valeur)
	{ 
		$this->sValeur = $valeur; 
	} 

} 


// Utilisation de la classe fille. 
$objet = new classeFille();

$objet->setValue(283269123); 
echo $objet->getValue()."<br />"; 

?>
